Ubuntu常用命令集

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/shentong1/article/details/79800586

1. 切换python版本:

   先定义优先级:

    sudo update-alternatives --install /usr/bin/python python /usr/bin/python2 100

    sudo update-alternatives --install /usr/bin/python python /usr/bin/python3 150

    选择:

    sudo update-alternatives --config python

2. cmd下进制转换,ibase是输入,obase是输出

    echo "ibase=10;obase=16;354304" | bc
    56800
    0x56800
3.在部分64位Ubuntu16.04OS中会出现libudev库的问题,烧写工具upgrade_tool是依赖32位系统库file upgrade_tool
upgrade_tool: ELF 32-bit LSB  executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.24, BuildID[sha1]=7c7f75f253274e23523b1fe1267160b081967534, not stripped

locate libudev.so
/lib/i386-linux-gnu/libudev.so.1
/lib/i386-linux-gnu/libudev.so.1.3.5
/lib/x86_64-linux-gnu/libudev.so.1
/lib/x86_64-linux-gnu/libudev.so.1.3.5
/usr/lib/x86_64-linux-gnu/libudev.so

dpkg -l libudev1
ii  libudev1:amd64   204-5ubuntu20.28            amd64    libudev shared library
ii  libudev1:i386     204-5ubuntu20.28            i386      libudev shared library

Ubuntu16.04系统烧写缺库的问题
sudo apt install libudev1
sudo apt install libudev1:i386

展开阅读全文

没有更多推荐了,返回首页